Summary:	Rsync libraries
Summary(pl.UTF-8):	Biblioteki rsync
Name:		librsync
Version:	0.9.7
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/librsync/%{name}-%{version}.tar.gz
# Source0-md5:	24cdb6b78f45e0e83766903fd4f6bc84
Patch0:		%{name}-link.patch
Patch1:		%{name}-4Gigbug.patch
Patch2:		format-security.patch
URL:		http://librsync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%description -l pl.UTF-8
librsync jest implementacją algorytmu rsync, pozwalającego na zdalne
porównywanie plików binarnych. librsync liczy różnice sum kontrolnych
plików, więc nie wymaga obecności obu plików do sprawdzenia różnic.

Ta biblioteka była wcześniej znana jako libhsync, do wersji 0.9.0
włącznie.

Ta wersja nie ma implementacji sieciowego protokołu rsync i używa
formatu delt nieco wydajniejszego i niekompatybilnego z rsyncem w
wersji 2.4.6.

%package devel
Summary:	Headers for librsync
Summary(pl.UTF-8):	Pliki nagłówkowe librsync
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files necessary for developing programs
based on librsync.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania programów
używających librsync.

%package static
Summary:	Static librsync library
Summary(pl.UTF-8):	Statyczna biblioteka librsync
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librsync library.

%description static -l pl.UTF-8
Statyczna biblioteka librsync.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/rdiff
%attr(755,root,root) %{_libdir}/librsync.so.*.*
%attr(755,root,root) %ghost %{_libdir}/librsync.so.1
%{_mandir}/man1/rdiff.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Sat Jul 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/librsync.git;a=log;h=master

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 07f536a
- fix format string error
- rel 6

* Mon Jan 09 2012 Paweł Gołaszewski <blues@pld-linux.org> 9c5441f
- rel.5 - support more than 4G

* Wed Nov 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 185def2
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a468bf0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e9170d7
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 8902b61
- orphaned, outdated

* Sun May 22 2005 heretyk <heretyk@pld-linux.org> 69e1212
- package rdiff program binary instead of temporary wrapper script
- rel. 3, STBR

* Tue Oct 19 2004 havner <havner@pld-linux.org> 87825c5
- rel 2

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 0e950cc
- huh... added link patch, now only popt-devel is BRed (and not propagated)

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> a0b4b20
- libz and libbz2 are not used, popt needed only for rdiff utility

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> a35dda0
- BR+R: bzip2-devel,popt-devel,zlib-devel

* Mon Oct 18 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 59a0704
- updated to 0.9.7 (important LFS fixes)

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> b168cfb
- typos / formatting / etc.

* Mon Apr 19 2004 twittner <twittner@pld-linux.org> efdc690
- rel.2 for Ac

* Sat Aug 09 2003 areq <areq@pld-linux.org> 4da65c7
- for RA

* Sat Aug 09 2003 areq <areq@pld-linux.org> 5f736ec
- outdated

* Sat Aug 09 2003 areq <areq@pld-linux.org> 57a1421
- 0.9.6
- update URL

* Thu Jul 03 2003 Jakub Bogusz <qboosh@pld-linux.org> c7d37d0
- standardized sf URLs, other cleanups

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 50be406
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f8b5f64
- massive attack s/pld.org.pl/pld-linux.org/

